<?php
include_once('WSDL_Gen.php');
$NAMESPACE = "http://quickfuseapps.com";
$WS_DOC_CSS = "ws_doc.css";
$DESCRIPTION = "An example of how to use WSDL_Gen.php";

/**
 * This is a web service class that implements one simple function
 * named testMethod. This function receives one string called $answer
 * and returns a string. If the $answer string is equal to the string, 
 * 'yes', then the function returns the string, "animallover". If the
 * $answer string is not equal to the string, 'no', then the function
 * returns the string, "animalhater".  
 **/
class SampleWebservice extends Services_Webservice {
  /**
   *
   * @param string $answer
   * @return string
   **/
  function testMethod($answer) {
      if ($answer == 'yes'){
        return 'animallover';
      }
    return 'animalhater';
  }
}

$myService = new SampleWebservice($NAMESPACE, $DESCRIPTION, array('uri'=>$NAMESPACE, 'encoding'=>SOAP_ENCODED));
$myService->handle();

?>
